2. Check the information
2.1. GetInfo - Check the status of a cash receipt
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API checks the status and summarized information of a single cash receipt.
- Check variable 'stateCode' of returned CashbillInfo to confirm status of a cash receipt.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y |
Document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| itemKey | string | 18 | Identification number assigned by POPBiLL for internal management. | |
| mgtKey | string | 24 |
Document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
|
| tradeDate | string | 8 |
Date of trade
format : yyyyMMdd
|
|
| tradeDT | string | 14 |
Date and time of trade
format : yyyyMMddHHmmss
|
|
| tradeType | string | 4 |
Type of cash receipt
승인거래general cash receipt
취소거래cash receipt for revocation
|
|
| tradeUsage | string | 5 |
Purpose of issuance
소득공제용income deduction usage
지출증빙용proof of purchase usage
|
|
| tradeOpt | string | 4 |
Trade type
일반general
도서공연book/performance
대중교통public transportation
|
|
| taxationType | string | 3 |
Taxation type
과세taxable
비과세exempted
|
|
| totalAmount | string | 9 | Total amount | |
| issueDT | string | 14 |
Date and time of the issuance
format : yyyyMMddHHmmss
|
|
| regDT | string | 14 |
Date and time of the registration
format : yyyyMMddHHmmss
|
|
| stateCode | number | 1 |
Status Code
Refer to [Status Code]
|
|
| stateDT | string | 14 |
Date and time of the status change
format : yyyyMMddHHmmss
|
|
| identityNum | string | 19 |
[Buyer] Identification number
- if the value of {tradeUsage} is ‘소득공제용’(income deduction usage), enter one of the following options : resident registration number/ cell phone number/ card number/ 010-000-1234( identification number for voluntary issuance) - if the value of {tradeUsage} is ‘지출증빙용’(proof of purchase usage), enter one of the following options : business registration number/cell phone number/ card number resident registration number : 13 digits, phone number : 10~11 digits, card number : 13~19 digits, business registration number : 10 digits
|
|
| itemName | string | 70 | Order product name | |
| customerName | string | 70 | [Buyer] name of the customer | |
| confirmNum | string | 9 |
NTS confirmation number
POPBiLL automatically assigns this when issuing a cash receipt
|
|
| orgConfirmNum | string | 9 | NTS confirmation number of the original cash receipt | |
| orgTradeDate | string | 8 | Trade date of the original cash receipt | |
| ntssendDT | string | 14 |
Date and time of the NTS filing
format : yyyyMMddHHmmss
|
|
| ntsresultDT | string | 14 |
Date and time of receiving NTS filing result
format : yyyyMMddHHmmss
|
|
| ntsresultCode | string | 4 |
NTS filing result code
Refer to [ntsresultCode]
|
|
| ntsresultMessage | string | 30 | NTS filing result message | |
| printYN | boolean | - |
Whether to print a cash receipt or not
trueprint
falsedo not print
|
|
| interOPYN | boolean | - |
Whether a cash receipt is issued via API or not
trueissued via API
falseissued via POPBiLL service website
|
Response Example
{
"itemKey": "025102315531300001",
"mgtKey": "TEST0001",
"tradeDate": "20251023",
"tradeDT": "20251023155313",
"issueDT": "20251023155313",
"identityNum": "12****7890",
"taxationType": "과세",
"totalAmount": "11000",
"tradeUsage": "지출증빙용",
"tradeType": "승인거래",
"tradeOpt": "일반",
"stateCode": 304,
"stateDT": "20251023155313",
"printYN": false,
"confirmNum": "TB0000032",
"ntssendDT": "20251024000000",
"ntsresultDT": "20251024091509",
"ntsresultCode": "0000",
"ntsresultMessage": "더미승인",
"supplyCost": "10000",
"tax": "1000",
"serviceFee": "0",
"interOPYN": true,
"regDT": "20251023155314"
}
2.2. GetInfos - Check the status of bulk submission for cash receipts
POST
https://popbill-test.linkhub.co.kr/Cashbill/States
POST
https://popbill.linkhub.co.kr/Cashbill/States
- This API checks the status and summarizes information of multiple cash receipts. (Maximum: 1,000 cash receipts)
- Check variable 'stateCode' of returned CashbillInfo to confirm status of a cash receipt.
- We recommend using this API when a user implements the list of cash receipts with document IDs.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/json |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | array | - | Y |
Document ID of cash receipts to view
maximum : 1,000 cash receipts
|
Request Example
curl --request POST \
--url 'https://{domain}/Cashbill/States' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '["MGTKEY-0001"]'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| itemKey | string | 18 | Identification number assigned by POPBiLL for internal management. | |
| mgtKey | string | 24 |
Document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
|
| tradeDate | string | 8 |
Date of trade
format : yyyyMMdd
|
|
| tradeDT | string | 14 |
Date and time of trade
format : yyyyMMddHHmmss
|
|
| tradeType | string | 4 |
Type of cash receipt
승인거래cash receipt for transaction approval
취소거래cash receipt for revocation
|
|
| tradeUsage | string | 5 |
Purpose of issuance
소득공제용income deduction usage
지출증빙용proof of purchase usage
|
|
| tradeOpt | string | 4 |
Trade type
일반general
도서공연book/performance
대중교통public transportation
|
|
| taxationType | string | 3 |
Purpose of issuance
과세taxable
비과세exempted
|
|
| totalAmount | string | 9 | Total amount | |
| issueDT | string | 14 |
Date and time of the issuance
format : yyyyMMddHHmmss
|
|
| regDT | string | 14 |
Date and time of the registration
format : yyyyMMddHHmmss
|
|
| stateCode | number | 1 |
Status Code
Refer to [Status Code]
|
|
| stateDT | string | 14 |
Date and time of the status change
format : yyyyMMddHHmmss
|
|
| identityNum | string | 19 |
[Buyer] Identification number
- if the value of {tradeUsage} is ‘소득공제용’(income deduction usage), returns one of the following options : resident registration number/ cell phone number/ card number/ 010-000-1234( identification number for voluntary issuance) - if the value of {tradeUsage} is ‘지출증빙용’(proof of purchase usage), returns one of the following options : business registration number/ cell phone number/ card number resident registration number : 13 digits, phone number : 10~11 digits, card number : 13~19 digits, business registration number : 10 digits
|
|
| itemName | string | 70 | Order product name | |
| customerName | string | 70 | [Buyer] name of the customer | |
| confirmNum | string | 9 |
NTS confirmation number
POPBiLL automatically assigns this when issuing a cash receipt
|
|
| orgConfirmNum | string | 9 | NTS confirmation number of the original cash receipt | |
| orgTradeDate | string | 8 | Trade date of the original cash receipt | |
| ntssendDT | string | 14 |
Date and time of the NTS filing
format : yyyyMMddHHmmss
|
|
| ntsresultDT | string | 14 |
Date and time of receiving NTS filing result
format : yyyyMMddHHmmss
|
|
| ntsresultCode | string | 4 |
NTS filing result code
Refer to [ntsresultCode]
|
|
| ntsresultMessage | string | 30 | NTS filing result message | |
| printYN | boolean | - |
Whether to print a cash receipt or not
trueprint
falsedo not print
|
|
| interOPYN | boolean | - |
Whether a cash receipt is issued via API or not
trueissued via API
falseissued via POPBiLL service website
|
Response Example
[
{
"invoiceePrintYN": false,
"openYN": false,
"taxType": "과세",
"invoicerCorpNum": "1234567890",
"invoicerMgtKey": "MKGTKEY-0002",
"invoicerCorpName": "공급자 상호",
"invoicerPrintYN": false,
"invoiceeCorpName": "공급받는자 상호",
"trusteePrintYN": false,
"taxTotal": "1000",
"supplyCostTotal": "10000",
"purposeType": "영수",
"ntsconfirmNum": "202510168888888800000002",
"closeDownState": 0,
"lateIssueYN": false,
"stateCode": 300,
"interOPYN": true,
"itemKey": "025102114360700001",
"issueDT": "20251021143607",
"stateDT": "20251021143608",
"regDT": "20251021143608",
"invoiceeCorpNum": "1234567890",
"issueType": "정발행",
"writeDate": "20251016"
}
]
2.3. GetDetailInfo - Check the detailed information of cash receipt
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API checks the detailed information of a single cash receipt.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| Detail | - | - | Y | Input as an empty value |
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}?Detail' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| mgtKey | string | 24 |
Document ID
user assigns this value to manage cash receipt
|
|
| confirmNum | string | 9 |
NTS confirmation number
POPBiLL automatically assigns this when a cash receipt is issued
combination of {tradeDate} and {confirmNum} must be used as a unique value for a cash receipt [How to Issue – Document ID Management System] |
|
| orgConfirmNum | string | 9 | NTS confirmation number of the original cash receipt | |
| orgTradeDate | string | 8 | Trade date of the original cash receipt | |
| tradeDate | string | 8 |
Date of trade
Automatically allocated by POPBiLL upon cash receipt issuance
{tradeDT}의 yyyyMMdd |
|
| tradeDT | string | 14 |
Date and time of trade
format : yyyyMMddHHmmss
|
|
| tradeType | string | 4 |
Type of cash receipt
승인거래cash receipt for transaction approval
취소거래cash receipt for revocation
|
|
| tradeUsage | string | 5 |
Purpose of issuance
소득공제용income deduction usage
지출증빙용proof of purchase usage
|
|
| tradeOpt | string | 4 |
Trade type
일반general
도서공연book/performance
대중교통public transportation
|
|
| taxationType | string | 3 |
Purpose of issuance
과세taxable
비과세exempted
|
|
| totalAmount | string | 9 | Total amount | |
| supplyCost | string | 9 | Supply values | |
| tax | string | 9 | Tax amount | |
| serviceFee | string | 9 | Service fee | |
| franchiseCorpNum | string | 10 | [Seller] business registration number | |
| franchiseTaxRegID | string | 4 | [Seller] identification number for a branch place | |
| franchiseCorpName | string | 200 | [Seller] company name | |
| franchiseCEOName | string | 100 | [Seller] CEO name | |
| franchiseAddr | string | 400 | [Seller] company address | |
| franchiseTEL | string | 20 | [Seller] telephone number | |
| identityNum | string | 19 |
[Buyer] Identification number
- if the value of {tradeUsage} is ‘소득공제용’(income deduction usage), returns one of the following options : resident registration number/ cell phone number/ card number/ 010-000-1234( identification number for voluntary issuance) - if the value of {tradeUsage} is ‘지출증빙용’(proof of purchase usage), returns one of the following options : business registration number/ cell phone number/ card number resident registration number : 13 digits, phone number : 10~11 digits, card number : 13~19 digits, business registration number : 10 digits
|
|
| customerName | string | 70 | [Buyer] name of the customer | |
| itemName | string | 70 | Order product name | |
| orderNumber | string | 200 | Order number | |
| string | 100 | [Buyer] email | ||
| hp | string | 20 | [Buyer] cell phone number | |
| cancelType | string | - |
Reasons for revocation
1transaction is returned/cancelled
2correction of errors
3other reasons
|
Response Example
{
"mgtKey": "TEST0001",
"tradeDate": "20251023",
"tradeDT": "20251023155313",
"tradeUsage": "지출증빙용",
"tradeType": "승인거래",
"tradeOpt": "일반",
"taxationType": "과세",
"supplyCost": "10000",
"tax": "1000",
"serviceFee": "0",
"totalAmount": "11000",
"franchiseCorpNum": "1234567890",
"identityNum": "12****7890",
"printYN": false,
"smssendYN": false,
"faxsendYN": false,
"confirmNum": "TB0000032"
}
2.4. Search - Search the list of cash receipts
GET
https://popbill-test.linkhub.co.kr/Cashbill/Search
GET
https://popbill.linkhub.co.kr/Cashbill/Search
- This API searches a cash receipt corresponded to the search criteria ( maximum search scope of period : 6 months)
- We recommend to use this API when a user implements the list of cash receipts with items related to the page (variables : Page, perPage, Order).
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| DType | string | 1 | Y |
Date type in search criteria
Rdate of registration
Tdate of trade
Idate of issuance
|
|
| SDate | string | 8 | Y |
Initial date of search scope
format : yyyyMMdd
|
|
| EDate | string | 8 | Y |
Last date of search scope
format : yyyyMMdd
|
|
| State | string | - | N |
Cash receipt status code
wild card(*) can be put on 2nd, 3rd letter
e.g., "3**", "6**" search all if not entered
|
|
| TradeType | string | - | N |
Type of cash receipts (multiple choice is possible)
Ngeneral cash receipt
Ccash receipt for revocation
Separate with a comma(',') for multiple selections. e.g. N,C
search all if not entered
|
|
| TradeUsage | string | - | N |
Purpose of issuance (multiple choice is possible)
Pincome deduction usage
Cproof of purchase usage
Separate with a comma(',') for multiple selections. e.g. P,C
search all if not entered
|
|
| TradeOpt | string | - | N |
Trade type (multiple choice is possible)
Ngeneral
Bbook/performance
Tpublic transportation
Separate with a comma(',') for multiple selections. e.g. N,B
search all if not entered
|
|
| TaxationType | string | - | N |
Taxation type (multiple choice is possible)
Ttaxable
Nexempted
Separate with a comma(',') for multiple selections. e.g. T,N
search all if not entered
|
|
| QString | string | - | N |
Search the identification number of a cash receipt.
search all if not entered
|
|
| Page | number | - | Y | Page number of a list of cash receipts. | |
| PerPage | number | - | N |
The number of list to be displayed per page
maximum : 1,000
|
|
| Order | string | 1 | N |
Sort order related to the value of {DType}
Ddescending (default)
Aascending
|
|
| FranchiseTaxRegID | string | - | N |
Identification number for branch place
Separate with a comma(',') for multiple searches. e.g. 1234,1000
search all if not entered
|
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/}/Search?DType={DType}&SDate={SDate}&EDate={EDate}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | number | - | API response code | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| message | string | - | API response message | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | string | - | Total number of search results | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| perPage | string | - | Number of items per page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageNum | string | - | Page number | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageCount | string | - | Number of pages | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| list | array | - |
Status/summarized info of a cash receipt
maximum : 1,000
the configuration is same as the return value of [GetInfo – Check the status of a cash receipt] API
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"code": 1,
"total": 4,
"perPage": 500,
"pageNum": 1,
"pageCount": 1,
"list": [
{
"itemKey": "025102315531300001",
"mgtKey": "TEST0001",
"tradeDate": "20251023",
"tradeDT": "20251023155313",
"issueDT": "20251023155313",
"identityNum": "12****7890",
"taxationType": "과세",
"totalAmount": "11000",
"tradeUsage": "지출증빙용",
"tradeType": "승인거래",
"tradeOpt": "일반",
"stateCode": 304,
"stateDT": "20251023155313",
"printYN": false,
"confirmNum": "TB0000032",
"ntssendDT": "20251024000000",
"ntsresultDT": "20251024091509",
"ntsresultCode": "0000",
"ntsresultMessage": "더미승인",
"supplyCost": "10000",
"tax": "1000",
"serviceFee": "0",
"interOPYN": true,
"regDT": "20251023155314"
}
],
"message": "검색 완료"
}
2.5. GetURL - URL for cash receipt menu
GET
https://popbill-test.linkhub.co.kr/Cashbill
GET
https://popbill.linkhub.co.kr/Cashbill
- This API returns the URL to access the menu related to a cash receipt of POPBiLL service website in login status.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y |
Targeted Menu
PBOXIssued cash receipt box
WRITEcreate a cash receipt
|
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill?TG={TG}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Returned URL of response on the request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
2.6. GetPDF - Cash receipt PDF Download
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- Download 1 Cash receipt PDF.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | - | Y | Input as an empty value |
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}?PDF' \
--header 'Authorization: Bearer {token}' \
--output output.pdf
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| - | binary | - | Cash receipt PDF binary |
